libzypp: zypp::sat::detail::PoolImpl Class Reference

libzypp 17.38.11

zypp::sat::detail::PoolImpl Class Reference

`#include <zypp/sat/detail/PoolImpl.h>`

Inheritance diagram for zypp::sat::detail::PoolImpl:

## Public Member Functions
| PoolImpl ()
| Default ctor.
| ~PoolImpl ()
| Dtor.
CPool * | operator-> ()
| Pointer style access forwarded to sat-pool.
const SerialNumber & | serial () const
| Serial number changing whenever the content changes.
const SerialNumber & | serialIDs () const
| Serial number changing whenever resusePoolIDs==true was used.
void | prepare () const
| Update housekeeping data (e.g.
bool | isSystemRepo (CRepo *repo_r) const
CRepo * | systemRepo () const
Pathname | rootDir () const
| Get rootdir (for file conflicts check).
void | rootDir (const Pathname &root_r)
| Set rootdir (for file conflicts check).
Actions invalidating housekeeping data.
All methods expect valid arguments being passed.
CRepo * | _createRepo (const std::string &name_r)
| Creating a new repo named name_r.
void | _deleteRepo (CRepo *repo_r)
| Delete repo repo_r from pool.
int | _addSolv (CRepo *repo_r, FILE *file_r)
| Adding solv file to a repo.
int | _addHelix (CRepo *repo_r, FILE *file_r)
| Adding helix file to a repo.
int | _addTesttags (CRepo *repo_r, FILE *file_r)
| Adding testtags file to a repo.
detail::SolvableIdType | _addSolvables (CRepo *repo_r, unsigned count_r)
| Adding Solvables to a repo.
void | _postRepoAdd (CRepo *repo_r)
| Helper postprocessing the repo after adding solv or helix files.
bool | validSolvable (const CSolvable &slv_r) const
| a `valid` Solvable has a non NULL repo pointer.
bool | validSolvable (SolvableIdType id_r) const
bool | validSolvable (const CSolvable *slv_r) const
CPool * | getPool () const
CRepo * | getRepo (RepoIdType id_r) const
CSolvable * | getSolvable (SolvableIdType id_r) const
| Return pointer to the sat-solvable or NULL if it is not valid.
sat::detail::IdType | parserpmrichdep (const char *capstr_r)
| libsolv capability parser
SolvableIdType | getFirstId () const
| Get id of the first valid Solvable.
SolvableIdType | getNextId (SolvableIdType id_r) const
| Get id of the next valid Solvable.
const RepoInfo & | repoInfo (RepoIdType id_r)
void | setRepoInfo (RepoIdType id_r, const RepoInfo &info_r)
| Also adjust repo priority and subpriority accordingly.
void | eraseRepoInfo (RepoIdType id_r)
const sat::detail::IdType | whatProvidesData (unsigned offset_r)
| Returns the id stored at `offset_r` in the internal whatprovidesdata array.
unsigned | whatProvides (Capability cap_r)
| Returns offset into the internal whatprovidesdata array.
Installed on behalf of a user request hint.
StringQueue | autoInstalled () const
| Get ident list of all autoinstalled solvables.
void | setAutoInstalled (const StringQueue &autoInstalled_r)
| Set ident list of all autoinstalled solvables.
bool | isOnSystemByUser (IdString ident_r) const
bool | isOnSystemByAuto (IdString ident_r) const
Solvables which should trigger the reboot-needed hint if installed/updated.
void | setNeedrebootSpec (sat::SolvableSpec needrebootSpec_r)
| Set new Solvable specs.
bool | isNeedreboot (const Solvable &solv_r) const
| Whether solv_r matches the spec.

## Static Public Member Functions
static const std::string & | systemRepoAlias ()
| Reserved system repository alias `@System` .

## Private Member Functions
void | setDirty (const char *a1=0, const char *a2=0, const char *a3=0)
| Invalidate housekeeping data (e.g.
void | localeSetDirty (const char *a1=0, const char *a2=0, const char *a3=0)
| Invalidate locale related housekeeping data.
void | depSetDirty (const char *a1=0, const char *a2=0, const char *a3=0)
| Invalidate housekeeping data (e.g.

## Static Private Member Functions
static detail::IdType | nsCallback (CPool *, void *data, detail::IdType lhs, detail::IdType rhs)
| Callback to resolve namespace dependencies (language, modalias, filesystem, etc.).

## Requested locales.
The requested LocaleSets managed in _requestedLocalesTracker are unexpanded; i.e. they contain just the pure user selection. The resolver however uses expanded sets ('de_DE' will also include its fallback locales 'de', (en); here in the namespace: callback and in the Resolver itself).
typedef base::SetTracker< IdStringSet > | TrackedLocaleIds
void | setTextLocale (const Locale &locale_r)
void | initRequestedLocales (const LocaleSet &locales_r)
| Start tracking changes based on this locales_r.
const LocaleSet & | getAddedRequestedLocales () const
| Added since last initRequestedLocales.
const LocaleSet & | getRemovedRequestedLocales () const
| Removed since last initRequestedLocales.
const LocaleSet & | getRequestedLocales () const
| Current set of requested Locales.
bool | isRequestedLocale (const Locale &locale_r) const
void | setRequestedLocales (const LocaleSet &locales_r)
| User change (tracked).
bool | addRequestedLocale (const Locale &locale_r)
| User change (tracked).
bool | eraseRequestedLocale (const Locale &locale_r)
| User change (tracked).
const LocaleSet & | getAvailableLocales () const
| All Locales occurring in any repo.
bool | isAvailableLocale (const Locale &locale_r) const
const TrackedLocaleIds & | trackedLocaleIds () const
| Expanded _requestedLocalesTracker for solver.

## Multiversion install.
typedef SolvableSet | MultiversionList
const MultiversionList & | multiversionList () const
bool | isMultiversion (const Solvable &solv_r) const
void | multiversionSpecChanged ()

## Blacklisted Solvables.
CPool * | _pool
| sat-pool.
SerialNumber | _serial
| Serial number - changes with each Pool content change.
SerialNumber | _serialIDs
| Serial number of IDs - changes whenever resusePoolIDs==true - ResPool must also invalidate its PoolItems!
SerialNumberWatcher | _watcher
| Watch serial number.
std::map< RepoIdType, RepoInfo > | _repoinfos
| Additional RepoInfo.
base::SetTracker< LocaleSet > | _requestedLocalesTracker
scoped_ptr< TrackedLocaleIds > | _trackedLocaleIdsPtr
scoped_ptr< LocaleSet > | _availableLocalesPtr
scoped_ptr< MultiversionList > | _multiversionListPtr
sat::StringQueue | _autoinstalled
sat::SolvableSpec | _needrebootSpec
| Solvables which should trigger the reboot-needed hint if installed/updated.
sat::SolvableSpec | _retractedSpec
| Blacklisted specs:
sat::SolvableSpec | _ptfMasterSpec
sat::SolvableSpec | _ptfPackageSpec
scoped_ptr< std::set< std::string > > | _requiredFilesystemsPtr
| filesystems mentioned in /etc/sysconfig/storage
bool | isRetracted (const Solvable &solv_r) const
bool | isPtfMaster (const Solvable &solv_r) const
bool | isPtfPackage (const Solvable &solv_r) const
const std::set< std::string > & | requiredFilesystems () const
| accessor for etc/sysconfig/storage reading file on demand
void | multiversionListInit () const

## Detailed Description

Definition at line 57 of file PoolImpl.h.

## Member Typedef Documentation

## ◆ TrackedLocaleIds

typedef base::SetTracker<IdStringSet> zypp::sat::detail::PoolImpl::TrackedLocaleIds

Definition at line 294 of file PoolImpl.h.

## ◆ MultiversionList

typedef SolvableSet zypp::sat::detail::PoolImpl::MultiversionList

Definition at line 303 of file PoolImpl.h.

## Constructor & Destructor Documentation

## ◆ PoolImpl()

zypp::sat::detail::PoolImpl::PoolImpl | ( |  | ) |

Default ctor.

Definition at line 186 of file PoolImpl.cc.

## ◆ ~PoolImpl()

zypp::sat::detail::PoolImpl::~PoolImpl | ( |  | ) |

Dtor.

Definition at line 227 of file PoolImpl.cc.

## Member Function Documentation

## ◆ operator->()

CPool * zypp::sat::detail::PoolImpl::operator-> | ( |  | ) |
| inline

Pointer style access forwarded to sat-pool.

Definition at line 67 of file PoolImpl.h.

## ◆ serial()

const SerialNumber & zypp::sat::detail::PoolImpl::serial | ( |  | ) | const
| inline

Serial number changing whenever the content changes.

Definition at line 72 of file PoolImpl.h.

## ◆ serialIDs()

const SerialNumber & zypp::sat::detail::PoolImpl::serialIDs | ( |  | ) | const
| inline

Serial number changing whenever resusePoolIDs==true was used.

ResPool must also invalidate its PoolItems!

Definition at line 76 of file PoolImpl.h.

## ◆ prepare()

void zypp::sat::detail::PoolImpl::prepare | ( |  | ) | const

Update housekeeping data (e.g.

whatprovides).

Todo
  actually requires a watcher.

Definition at line 283 of file PoolImpl.cc.

## ◆ setDirty()

void zypp::sat::detail::PoolImpl::setDirty | ( | const char * | a1 = 0,
|  | const char * | a2 = 0,
|  | const char * | a3 = 0 )
| private

Invalidate housekeeping data (e.g.

whatprovides) if the pools content changed.

Definition at line 233 of file PoolImpl.cc.

## ◆ localeSetDirty()

void zypp::sat::detail::PoolImpl::localeSetDirty | ( | const char * | a1 = 0,
|  | const char * | a2 = 0,
|  | const char * | a3 = 0 )
| private

Invalidate locale related housekeeping data.

Definition at line 260 of file PoolImpl.cc.

## ◆ depSetDirty()

void zypp::sat::detail::PoolImpl::depSetDirty | ( | const char * | a1 = 0,
|  | const char * | a2 = 0,
|  | const char * | a3 = 0 )
| private

Invalidate housekeeping data (e.g.

whatprovides) if dependencies changed.

Definition at line 272 of file PoolImpl.cc.

## ◆ nsCallback()

detail::IdType zypp::sat::detail::PoolImpl::nsCallback | ( | CPool * | ,
|  | void * | data,
|  | detail::IdType | lhs,
|  | detail::IdType | rhs )
| staticprivate

Callback to resolve namespace dependencies (language, modalias, filesystem, etc.).

Definition at line 139 of file PoolImpl.cc.

## ◆ systemRepoAlias()

const std::string & zypp::sat::detail::PoolImpl::systemRepoAlias | ( |  | ) |
| static

Reserved system repository alias `@System` .

Definition at line 102 of file PoolImpl.cc.

## ◆ isSystemRepo()

bool zypp::sat::detail::PoolImpl::isSystemRepo | ( | CRepo * | repo_r | ) | const
| inline

Definition at line 105 of file PoolImpl.h.

## ◆ systemRepo()

CRepo * zypp::sat::detail::PoolImpl::systemRepo | ( |  | ) | const
| inline

Definition at line 108 of file PoolImpl.h.

## ◆ rootDir() [1/2]

Pathname zypp::sat::detail::PoolImpl::rootDir | ( |  | ) | const
| inline

Get rootdir (for file conflicts check).

Definition at line 112 of file PoolImpl.h.

## ◆ rootDir() [2/2]

void zypp::sat::detail::PoolImpl::rootDir | ( | const Pathname & | root_r | ) |
| inline

Set rootdir (for file conflicts check).

Definition at line 119 of file PoolImpl.h.

## ◆ _createRepo()

CRepo * zypp::sat::detail::PoolImpl::_createRepo | ( | const std::string & | name_r | ) |

Creating a new repo named name_r.

Definition at line 314 of file PoolImpl.cc.

## ◆ _deleteRepo()

void zypp::sat::detail::PoolImpl::_deleteRepo | ( | CRepo * | repo_r | ) |

Delete repo repo_r from pool.

Definition at line 323 of file PoolImpl.cc.

## ◆ _addSolv()

int zypp::sat::detail::PoolImpl::_addSolv | ( | CRepo * | repo_r,
|  | FILE * | file_r )

Adding solv file to a repo.

Except for `isSystemRepo_r`, solvables of incompatible architecture are filtered out.

Definition at line 339 of file PoolImpl.cc.

## ◆ _addHelix()

int zypp::sat::detail::PoolImpl::_addHelix | ( | CRepo * | repo_r,
|  | FILE * | file_r )

Adding helix file to a repo.

Except for `isSystemRepo_r`, solvables of incompatible architecture are filtered out.

Definition at line 348 of file PoolImpl.cc.

## ◆ _addTesttags()

int zypp::sat::detail::PoolImpl::_addTesttags | ( | CRepo * | repo_r,
|  | FILE * | file_r )

Adding testtags file to a repo.

Except for `isSystemRepo_r`, solvables of incompatible architecture are filtered out.

Definition at line 357 of file PoolImpl.cc.

## ◆ _addSolvables()

detail::SolvableIdType zypp::sat::detail::PoolImpl::_addSolvables | ( | CRepo * | repo_r,
|  | unsigned | count_r )

Adding Solvables to a repo.

Definition at line 410 of file PoolImpl.cc.

## ◆ _postRepoAdd()

void zypp::sat::detail::PoolImpl::_postRepoAdd | ( | CRepo * | repo_r | ) |

Helper postprocessing the repo after adding solv or helix files.

Definition at line 366 of file PoolImpl.cc.

## ◆ validSolvable() [1/3]

bool zypp::sat::detail::PoolImpl::validSolvable | ( | const CSolvable & | slv_r | ) | const
| inline

a `valid` Solvable has a non NULL repo pointer.

Definition at line 166 of file PoolImpl.h.

## ◆ validSolvable() [2/3]

bool zypp::sat::detail::PoolImpl::validSolvable | ( | SolvableIdType | id_r | ) | const
| inline

Definition at line 169 of file PoolImpl.h.

## ◆ validSolvable() [3/3]

bool zypp::sat::detail::PoolImpl::validSolvable | ( | const CSolvable * | slv_r | ) | const
| inline

Definition at line 172 of file PoolImpl.h.

## ◆ getPool()

CPool * zypp::sat::detail::PoolImpl::getPool | ( |  | ) | const
| inline

Definition at line 176 of file PoolImpl.h.

## ◆ getRepo()

CRepo * zypp::sat::detail::PoolImpl::getRepo | ( | RepoIdType | id_r | ) | const
| inline

Todo
  a quick check whether the repo was meanwhile deleted.

Definition at line 180 of file PoolImpl.h.

## ◆ getSolvable()

CSolvable * zypp::sat::detail::PoolImpl::getSolvable | ( | SolvableIdType | id_r | ) | const
| inline

Return pointer to the sat-solvable or NULL if it is not valid.

See also
  validSolvable.

Definition at line 186 of file PoolImpl.h.

## ◆ parserpmrichdep()

sat::detail::IdType zypp::sat::detail::PoolImpl::parserpmrichdep | ( | const char * | capstr_r | ) |
| inline

libsolv capability parser

Definition at line 195 of file PoolImpl.h.

## ◆ getFirstId()

SolvableIdType zypp::sat::detail::PoolImpl::getFirstId | ( |  | ) | const
| inline

Get id of the first valid Solvable.

This is the next valid after the system solvable.

Definition at line 202 of file PoolImpl.h.

## ◆ getNextId()

SolvableIdType zypp::sat::detail::PoolImpl::getNextId | ( | SolvableIdType | id_r | ) | const
| inline

Get id of the next valid Solvable.

This goes round robbin. At the end it returns noSolvableId. Passing noSolvableId it returns the 1st valid Solvable.

See also
  validSolvable.

Definition at line 210 of file PoolImpl.h.

## ◆ repoInfo()

const RepoInfo & zypp::sat::detail::PoolImpl::repoInfo | ( | RepoIdType | id_r | ) |
| inline

Definition at line 223 of file PoolImpl.h.

## ◆ setRepoInfo()

void zypp::sat::detail::PoolImpl::setRepoInfo | ( | RepoIdType | id_r,
|  | const RepoInfo & | info_r )

Also adjust repo priority and subpriority accordingly.

Definition at line 416 of file PoolImpl.cc.

## ◆ eraseRepoInfo()

void zypp::sat::detail::PoolImpl::eraseRepoInfo | ( | RepoIdType | id_r | ) |
| inline

Definition at line 228 of file PoolImpl.h.

## ◆ whatProvidesData()

const sat::detail::IdType zypp::sat::detail::PoolImpl::whatProvidesData | ( | unsigned | offset_r | ) |
| inline

Returns the id stored at `offset_r` in the internal whatprovidesdata array.

Definition at line 236 of file PoolImpl.h.

## ◆ whatProvides()

unsigned zypp::sat::detail::PoolImpl::whatProvides | ( | Capability | cap_r | ) |
| inline

Returns offset into the internal whatprovidesdata array.

Use whatProvidesData to get the stored Id.

Definition at line 242 of file PoolImpl.h.

## ◆ setTextLocale()

void zypp::sat::detail::PoolImpl::setTextLocale | ( | const Locale & | locale_r | ) |

Definition at line 448 of file PoolImpl.cc.

## ◆ initRequestedLocales()

void zypp::sat::detail::PoolImpl::initRequestedLocales | ( | const LocaleSet & | locales_r | ) |

Start tracking changes based on this locales_r.

Usually called on TargetInit.

Definition at line 473 of file PoolImpl.cc.

## ◆ getAddedRequestedLocales()

const LocaleSet & zypp::sat::detail::PoolImpl::getAddedRequestedLocales | ( |  | ) | const
| inline

Added since last initRequestedLocales.

Definition at line 263 of file PoolImpl.h.

## ◆ getRemovedRequestedLocales()

const LocaleSet & zypp::sat::detail::PoolImpl::getRemovedRequestedLocales | ( |  | ) | const
| inline

Removed since last initRequestedLocales.

Definition at line 267 of file PoolImpl.h.

## ◆ getRequestedLocales()

const LocaleSet & zypp::sat::detail::PoolImpl::getRequestedLocales | ( |  | ) | const
| inline

Current set of requested Locales.

Definition at line 271 of file PoolImpl.h.

## ◆ isRequestedLocale()

bool zypp::sat::detail::PoolImpl::isRequestedLocale | ( | const Locale & | locale_r | ) | const
| inline

Definition at line 274 of file PoolImpl.h.

## ◆ setRequestedLocales()

void zypp::sat::detail::PoolImpl::setRequestedLocales | ( | const LocaleSet & | locales_r | ) |

User change (tracked).

Definition at line 482 of file PoolImpl.cc.

## ◆ addRequestedLocale()

bool zypp::sat::detail::PoolImpl::addRequestedLocale | ( | const Locale & | locale_r | ) |

User change (tracked).

Definition at line 491 of file PoolImpl.cc.

## ◆ eraseRequestedLocale()

bool zypp::sat::detail::PoolImpl::eraseRequestedLocale | ( | const Locale & | locale_r | ) |

User change (tracked).

Definition at line 502 of file PoolImpl.cc.

## ◆ getAvailableLocales()

const LocaleSet & zypp::sat::detail::PoolImpl::getAvailableLocales | ( |  | ) | const

All Locales occurring in any repo.

Definition at line 583 of file PoolImpl.cc.

## ◆ isAvailableLocale()

bool zypp::sat::detail::PoolImpl::isAvailableLocale | ( | const Locale & | locale_r | ) | const
| inline

Definition at line 287 of file PoolImpl.h.

## ◆ trackedLocaleIds()

const PoolImpl::TrackedLocaleIds & zypp::sat::detail::PoolImpl::trackedLocaleIds | ( |  | ) | const

Expanded _requestedLocalesTracker for solver.

Definition at line 514 of file PoolImpl.cc.

## ◆ multiversionList()

const PoolImpl::MultiversionList & zypp::sat::detail::PoolImpl::multiversionList | ( |  | ) | const

Definition at line 629 of file PoolImpl.cc.

## ◆ isMultiversion()

bool zypp::sat::detail::PoolImpl::isMultiversion | ( | const Solvable & | solv_r | ) | const

Definition at line 636 of file PoolImpl.cc.

## ◆ multiversionSpecChanged()

void zypp::sat::detail::PoolImpl::multiversionSpecChanged | ( |  | ) |

Definition at line 626 of file PoolImpl.cc.

## ◆ autoInstalled()

StringQueue zypp::sat::detail::PoolImpl::autoInstalled | ( |  | ) | const
| inline

Get ident list of all autoinstalled solvables.

Definition at line 316 of file PoolImpl.h.

## ◆ setAutoInstalled()

void zypp::sat::detail::PoolImpl::setAutoInstalled | ( | const StringQueue & | autoInstalled_r | ) |
| inline

Set ident list of all autoinstalled solvables.

Definition at line 320 of file PoolImpl.h.

## ◆ isOnSystemByUser()

bool zypp::sat::detail::PoolImpl::isOnSystemByUser | ( | IdString | ident_r | ) | const
| inline

Definition at line 323 of file PoolImpl.h.

## ◆ isOnSystemByAuto()

bool zypp::sat::detail::PoolImpl::isOnSystemByAuto | ( | IdString | ident_r | ) | const
| inline

Definition at line 326 of file PoolImpl.h.

## ◆ setNeedrebootSpec()

void zypp::sat::detail::PoolImpl::setNeedrebootSpec | ( | sat::SolvableSpec | needrebootSpec_r | ) |
| inline

Set new Solvable specs.

Definition at line 334 of file PoolImpl.h.

## ◆ isNeedreboot()

bool zypp::sat::detail::PoolImpl::isNeedreboot | ( | const Solvable & | solv_r | ) | const
| inline

Whether solv_r matches the spec.

Definition at line 341 of file PoolImpl.h.

## ◆ isRetracted()

bool zypp::sat::detail::PoolImpl::isRetracted | ( | const Solvable & | solv_r | ) | const
| inline

Definition at line 348 of file PoolImpl.h.

## ◆ isPtfMaster()

bool zypp::sat::detail::PoolImpl::isPtfMaster | ( | const Solvable & | solv_r | ) | const
| inline

Definition at line 350 of file PoolImpl.h.

## ◆ isPtfPackage()

bool zypp::sat::detail::PoolImpl::isPtfPackage | ( | const Solvable & | solv_r | ) | const
| inline

Definition at line 352 of file PoolImpl.h.

## ◆ requiredFilesystems()

const std::set< std::string > & zypp::sat::detail::PoolImpl::requiredFilesystems | ( |  | ) | const

accessor for etc/sysconfig/storage reading file on demand

Definition at line 641 of file PoolImpl.cc.

## ◆ multiversionListInit()

void zypp::sat::detail::PoolImpl::multiversionListInit | ( |  | ) | const
| private

Definition at line 603 of file PoolImpl.cc.

## Member Data Documentation

## ◆ _pool

CPool* zypp::sat::detail::PoolImpl::_pool
| private

sat-pool.

Definition at line 362 of file PoolImpl.h.

## ◆ _serial

SerialNumber zypp::sat::detail::PoolImpl::_serial
| private

Serial number - changes with each Pool content change.

Definition at line 364 of file PoolImpl.h.

## ◆ _serialIDs

SerialNumber zypp::sat::detail::PoolImpl::_serialIDs
| private

Serial number of IDs - changes whenever resusePoolIDs==true - ResPool must also invalidate its PoolItems!

Definition at line 366 of file PoolImpl.h.

## ◆ _watcher

SerialNumberWatcher zypp::sat::detail::PoolImpl::_watcher
| private

Watch serial number.

Definition at line 368 of file PoolImpl.h.

## ◆ _repoinfos

std::map<RepoIdType,RepoInfo> zypp::sat::detail::PoolImpl::_repoinfos
| private

Additional RepoInfo.

Definition at line 372 of file PoolImpl.h.

## ◆ _requestedLocalesTracker

base::SetTracker<LocaleSet> zypp::sat::detail::PoolImpl::_requestedLocalesTracker
| private

Definition at line 376 of file PoolImpl.h.

## ◆ _trackedLocaleIdsPtr

scoped_ptr<TrackedLocaleIds> zypp::sat::detail::PoolImpl::_trackedLocaleIdsPtr
| mutableprivate

Definition at line 377 of file PoolImpl.h.

## ◆ _availableLocalesPtr

scoped_ptr<LocaleSet> zypp::sat::detail::PoolImpl::_availableLocalesPtr
| mutableprivate

Definition at line 379 of file PoolImpl.h.

## ◆ _multiversionListPtr

scoped_ptr<MultiversionList> zypp::sat::detail::PoolImpl::_multiversionListPtr
| mutableprivate

Definition at line 383 of file PoolImpl.h.

## ◆ _autoinstalled

sat::StringQueue zypp::sat::detail::PoolImpl::_autoinstalled
| private

Definition at line 386 of file PoolImpl.h.

## ◆ _needrebootSpec

sat::SolvableSpec zypp::sat::detail::PoolImpl::_needrebootSpec
| private

Solvables which should trigger the reboot-needed hint if installed/updated.

Definition at line 389 of file PoolImpl.h.

## ◆ _retractedSpec

sat::SolvableSpec zypp::sat::detail::PoolImpl::_retractedSpec
| private

Blacklisted specs:

Definition at line 392 of file PoolImpl.h.

## ◆ _ptfMasterSpec

sat::SolvableSpec zypp::sat::detail::PoolImpl::_ptfMasterSpec
| private

Definition at line 393 of file PoolImpl.h.

## ◆ _ptfPackageSpec

sat::SolvableSpec zypp::sat::detail::PoolImpl::_ptfPackageSpec
| private

Definition at line 394 of file PoolImpl.h.

## ◆ _requiredFilesystemsPtr

scoped_ptr<std::set<std::string> > zypp::sat::detail::PoolImpl::_requiredFilesystemsPtr
| mutableprivate

filesystems mentioned in /etc/sysconfig/storage

Definition at line 397 of file PoolImpl.h.

The documentation for this class was generated from the following files:

- zypp/sat/detail/PoolImpl.h
- zypp/sat/detail/PoolImpl.cc